integrationtest:
  stage: integrationtest
  only:
    - branches
  script:
    - docker pull "$CI_REGISTRY_IMAGE":latest || true
    - docker pull "$CI_REGISTRY_IMAGE":latest-integrationtest || true
    - docker build --pull --cache-from "$CI_REGISTRY_IMAGE":latest --cache-from "$CI_REGISTRY_IMAGE":latest-integrationtest --tag "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG"-integrationtest -f "$INTTEST_DOCKER_FILE" .
    - docker push "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG"-integrationtest
    - apk add git openssh
    - git clone https://gitlab-ci-token:"$GITLAB_ACCESS_TOKEN"@git.rwth-aachen.de/rwthappapimicroservices/Compose.git
    - cd Compose && rm -Rf Environment
    - git clone https://gitlab-ci-token:"$GITLAB_ACCESS_TOKEN"@git.rwth-aachen.de/rwthappapimicroservices/Environment.git
    - ./inttest.sh
